/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.rtl .event-slider-block .slick-track {
  margin-left: auto;
  margin-right: 0;
}

.event-slider-block {
  background-color: #E1F7D3;
}
.event-slider-block .heading-container {
  max-width: calc(1128px + 2rem);
  padding: 0 2rem 0 0;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  margin: 0 0 5.6rem;
}
.event-slider-block .heading-container .event-slider-tagline {
  text-transform: uppercase;
  color: #248C37;
}
.event-slider-block .container {
  grid-column: breakout-right !important;
}
.event-slider-block .event-card {
  margin: 0 2.4rem 0 0;
  max-width: 36rem;
}
.event-slider-block .controller {
  display: flex;
  gap: 3.2rem;
  align-items: center;
}
.event-slider-block .controller button:hover {
  cursor: pointer;
}
.event-slider-block .controller button:hover.slick-disabled {
  cursor: not-allowed;
}
.event-slider-block .controller button:hover.slick-disabled circle {
  fill: #D9D9D9;
}
.event-slider-block .controller button:hover circle {
  fill: #1D752D;
}
.event-slider-block .controller circle {
  transition: fill 0.2s ease-in-out;
}
.event-slider-block .controller .slick-disabled circle {
  fill: #D9D9D9;
}
.event-slider-block .slick-track {
  margin-left: 0;
}
.event-slider-block .slick-list,
.event-slider-block .slick-track {
  display: flex;
  align-items: stretch;
}
.event-slider-block .slick-dots {
  max-width: 1128px;
  bottom: -4rem;
  display: flex;
  gap: 0.8rem;
  justify-content: center;
}
.event-slider-block .slick-dots li {
  margin: 0;
  width: 1.2rem;
  height: 1.2rem;
  transition: width 0.2s ease-in-out;
}
.event-slider-block .slick-dots li.slick-active {
  width: 5rem;
}
.event-slider-block .slick-dots li.slick-active button {
  width: 5rem;
  opacity: 1;
  border-radius: 50vw;
}
.event-slider-block .slick-dots li button {
  padding: 0;
  width: 1.2rem;
  height: 1.2rem;
  background-color: #248C37;
  border-radius: 50%;
  opacity: 0.5;
  transition: all 0.2s ease-in-out;
}
.event-slider-block .slick-dots li button:before {
  content: none;
}

@media (max-width: 768px) {
  .event-slider-block .heading-container {
    margin: 0 0 3.2rem;
  }
  .event-slider-block .event-slider {
    position: relative;
  }
  .event-slider-block .event-slider:after {
    content: "";
    background-image: linear-gradient(90deg, rgba(225, 247, 211, 0) 0%, #E1F7D3 100%);
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
    width: 4.8rem;
  }
  .event-slider-block .slick-dots {
    bottom: -3.2rem;
  }
}